# validation_script_iclr_2023

## Test on CIFAR10 :

### model: ResNet18, # ReLU (k) = 82
### download the model at: https://drive.google.com/file/d/1TJQ0z9yUUVsbS_G58nWI0HQ-6iHiMK8V/view?usp=sharing and save to checkpoints
```bash
python validate.py --dataset cifar10 --data_dir {path_to_CIFAR10_dataset} --model CustomResNet18 --path checkpoints/CustomResNet18_C10_82k_best.pth
```
- result: 93.98%

## Test on CIFAR100 :

### model: ResNet18, # ReLU (k) = 25
### download the model at: https://drive.google.com/file/d/1YRfbiK-GPG3D3ArkZvAIu4L56vF6EJEf/view?usp=sharing and save to checkpoints
```bash
python validate.py --dataset cifar100 --data_dir {path_to_CIFAR100_dataset} --model CustomResNet18 --path checkpoints/CustomResNet18_C100_25k_best.pth
```
- result: 70.88%

### model: ResNet18, # ReLU (k) = 50
### download the model at: https://drive.google.com/file/d/1qNGeZ8L65hj-5_PihytdRpgdXKSkUjLS/view?usp=sharing and save to checkpoints
```bash
python validate.py --dataset cifar100 --data_dir {path_to_CIFAR100_dataset} --model CustomResNet18 --path checkpoints/CustomResNet18_C100_50k_best.pth
```
- result: 74.73%

### model: ResNet18, # ReLU (k) = 120
### download the model at: https://drive.google.com/file/d/1IT5r1XcW90k1SlCQuhJK_Z3u2jY2DhF8/view?usp=sharing and save to checkpoints
```bash
python validate.py --dataset cifar100 --data_dir {path_to_CIFAR100_dataset} --model CustomResNet18 --path checkpoints/CustomResNet18_C100_120k_best.pth
```
- result: 78.41%

### model: WRN22-8, # ReLU (k) = 240
### download the model at: https://drive.google.com/file/d/1dPAWMgq32k0zoqGJ9lhok_OtFxmGVDUO/view?usp=sharing and save to checkpoints
```bash
python validate.py --dataset cifar100 --data_dir {path_to_CIFAR100_dataset} --model Custom_wrn_22_8 --path checkpoints/Custom_wrn_22_8_C100_240k_best.pth
```
- result: 79.72%

### model: WRN22-8, # ReLU (k) = 300
### download the model at: https://drive.google.com/file/d/1unr4ZT_qG-2UoBDDkG3VD2SBBaD0us-v/view?usp=sharing and save to checkpoints
```bash
python validate.py --dataset cifar100 --data_dir {path_to_CIFAR100_dataset} --model Custom_wrn_22_8 --path checkpoints/Custom_wrn_22_8_C100_300k_best.pth
```
- result: 80.54%
